<?php
function check_vertiefungsbereich(){

if ($_POST['vert1'] !='x' AND  $_POST['vert2'] !='x'){
  if ($_POST['vert1'] == $_POST['vert2']){
    $alert[] = "Vertiefungsbereich 1 und 2 sind identisch";
   }
}

if ($_POST['vert1'] !='x' AND  $_POST['vert3'] !='x'){
  if ($_POST['vert1'] == $_POST['vert3']){
    $alert[] = "Vertiefungsbereich 1 und 3 sind identisch";
   }
}

if ($_POST['vert1'] !='x' AND  $_POST['vert4'] !='x'){
  if ($_POST['vert1'] == $_POST['vert4']){
    $alert[] = "Vertiefungsbereich 1 und 4 sind identisch";
   }
}

if ($_POST['vert2'] !='x' AND  $_POST['vert3'] !='x'){
  if ($_POST['vert2'] == $_POST['vert3']){
    $alert[] = "Vertiefungsbereich 2 und 3 sind identisch";
   }
}

if ($_POST['vert2'] !='x' AND  $_POST['vert4'] !='x'){
  if ($_POST['vert2'] == $_POST['vert4']){
    $alert[] = "Vertiefungsbereich 2 und 4 sind identisch";
   }
}

if ($_POST['vert3'] !='x' AND  $_POST['vert4'] !='x'){
  if ($_POST['vert3'] == $_POST['vert4']){
    $alert[] = "Vertiefungsbereich 3 und 4 sind identisch";
   }
}

if(isset($alert)){
  for ($i= 1;$i<= 12;$i++){
  #Zurückbutton aufbereiten

    $stellenart        = $_POST['stellenart'.$i]; // Vom Formular gesendetes Objekt in Variable schreiben
    $dummy_dst         = $_POST['dummy_dst'.$i];
    $bezeichnung       = $_POST['bezeichnung'.$i];
    $str               = $_POST['str'.$i];
    $postfach          = $_POST['postfach'.$i];
    $plz               = $_POST['plz'.$i];
    $ort               = $_POST['ort'.$i];
    $bundesland        = $_POST['bundesland'.$i];
    $staat             = $_POST['staat'.$i];
    $beginndatum       = $_POST['beg_jahr'.$i].'-'.$_POST['beg_mon'.$i].'-'.$_POST['beg_tag'.$i];
    $enddatum          = $_POST['ende_jahr'.$i].'-'.$_POST['ende_mon'.$i].'-'.$_POST['ende_tag'.$i];
    $abteilung         = $_POST['abteilung'.$i];
    $telabteilung      = $_POST['telabteilung'.$i];
    $plz_postfach      = $_POST['plz_postfach'.$i];
    $maildst           = $_POST['maildst'.$i];
    $postfach          = $_POST['postfach'.$i];
    setcookie('ck_abteilung'.$i, $abteilung);
    setcookie('ck_beg_jahr'.$i, $_POST['beg_jahr'.$i]);
    setcookie('ck_beg_mon'.$i, $_POST['beg_mon'.$i]);
    setcookie('ck_beg_tag'.$i, $_POST['beg_tag'.$i]);
    setcookie('ck_bezeichnung'.$i, $bezeichnung);
    setcookie('ck_bundesland'.$i, $bundesland);
    setcookie('ck_ende_jahr'.$i, $_POST['ende_jahr'.$i]);
    setcookie('ck_ende_mon'.$i, $_POST['ende_mon'.$i]);
    setcookie('ck_ende_tag'.$i, $_POST['ende_tag'.$i]);
    setcookie('ck_maildst'.$i, $maildst);
    setcookie('ck_ort'.$i, $ort);
    setcookie('ck_plz'.$i, $plz);
    setcookie('ck_postfach'.$i, $postfach);
    setcookie('ck_stellenart'.$i, $stellenart);
    setcookie('ck_staat'.$i, $staat);
    if($i==1){
      setcookie('ck_vert1', $_POST['vert1']);
    }
    if($i==4){
      setcookie('ck_vert2', $_POST['vert2']);
    }
    if($i==7){
      setcookie('ck_vert3', $_POST['vert3']);
    }
    if($i==10){
      setcookie('ck_vert4', $_POST['vert4']);
    }
    setcookie('ck_dummy_dst'.$i, $dummy_dst);
    setcookie('ck_str'.$i, $str);
    setcookie('ck_telabteilung'.$i, $telabteilung);
    setcookie('ck_plz_postfach'.$i, $plz_postfach);
  }

echo"
<html>
<head>
<meta http-equiv=\"content-type\" content=\"text/html; charset=utf-8\">
<link rel=\"stylesheet\" href=\"../styles_pc.css\" type=\"text/css\">
<title>Anmeldungen noch nicht m&ouml;glich!</title>
</head>
<body>
<table border=\"0\" style=\"border-collapse: collapse\" width=\"100%\" cellpadding=\"0\" height=\"100%\" id=\"table1\">
    <tr>
        <td>
        <div align=\"center\">
            <table cellspacing=\"0\" cellpadding=\"0\" width=\"550\" border=\"0\">
                <tr>
                    <td width=\"10\" background=\"../images/box_e1.gif\">
                    <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                    <td nowrap=\"nowrap\" align=\"left\" width=\"3%\" background=\"../images/box_top.gif\" valign=\"top\"></td>
                    <td width=\"95%\" background=\"../images/box_top.gif\">
                    <img height=\"10\" src=\"../images/blank.gif\" width=\"1\"><br>
                    <span class=\"sh\">Doppelte Vertiefungsbereiche</span><br>
                    <img height=\"5\" src=\"../images/blank.gif\" width=\"1\"></td>
                    <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e2.gif\">
                    <img height=\"40\" src=\"../images/blank.gif\" width=\"22\"></td>
                </tr>
                <tr>
                    <td width=\"1%\" background=\"../images/box_l.gif\">
                    <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                    <td colspan=\"2\"><br>
                    <b>Es gab Fehler bei folgenden Vertiefungsbereichen:</b><br><br>";
                    for ($i=0;$i<sizeof($alert);$i++) {
                    
                     echo $alert[$i]."<br>";
                    }
                    echo"
                    </p>
                    <p align=\"center\"><a href=\"".$_SERVER['PHP_SELF']."?back=1\">
                    <img border=\"0\" src=\"../images/zurueck.gif\" width=\"77\" height=\"22\"></a><br>
                    </p>
                    <p></p>
                    <p></p>
                    <p></p>
                    <p></p>
                    <p><br>
                    </p>
                    </td>
                    <td width=\"1%\" background=\"../images/box_r.gif\">
                    <img height=\"1\" src=\"../images/blank.gif\" width=\"22\"></td>
                </tr>
                <tr>
                    <td nowrap=\"nowrap\" align=\"left\" width=\"1%\" background=\"../images/box_e3.gif\">
                    <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"></td>
                    <td nowrap=\"nowrap\" align=\"left\" width=\"98%\" background=\"../images/box_bottom.gif\" colspan=\"2\">
                    <img height=\"16\" src=\"../images/blank.gif\" width=\"8\"></td>
                    <td nowrap=\"nowrap\" align=\"right\" width=\"1%\" background=\"../images/box_e4.gif\">
                    <img height=\"16\" src=\"../images/blank.gif\" width=\"22\"> </td>
                </tr>
            </table>
        </div>
        </td>
    </tr>
</table>
</body>
</html>";
exit;
}

}
?>
